Summary: SMSLink client
Name: smslink
Version: 0.52b2
Release: 1
Copyright: GPL
Requires: libmodem >= 1.5
Group: Applications/Communications
Source: http://smslink.sourceforge.net/archive/smslink-0.52b-2.tar.gz
Patch0: smslink-gm12.patch
Patch1: smslink-buildroot.patch
URL: http://smslink.sourceforge.net
Vendor: Philippe Andersson <philipa@tiscalinet.be>
BuildRoot: /var/tmp/smslink-root

%package client
Summary: SMSLink client
Group: Applications/Communications

%changelog
* Tue Feb 13 2001 Peter Soos <sp@osb.hu>
- The initial rpm package

%description
SMSLink is a client/server gateway to the SMS protocol (short messages
sent by mobile phones [GSM]). Requires specialized hardware (a serial GSM
module like the WaveCom WMO1 or Falcom A1). The server can be used
interactively through telnet, or via a command-line client. As of version
0.41b, both sending and receiving SMS is supported. The server also supports
the concurrent use of multiple GSM instances. Now features a gateway to mail.

%description client
SMSLink is a client/server gateway to the SMS protocol (short messages
sent by mobile phones [GSM]). This package contains the command line client
to send messages via an SMSLink server.

%prep
%setup -n smslink-0.52b-2
%patch0 -b .gm12
%patch1 -b .buildroot

%build
cd client
make "CFLAGS=${RPM_OPT_FLAGS}"
cd ../server
make "CFLAGS=${RPM_OPT_FLAGS}"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man1
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man5
cd client
make "PREFIX=${RPM_BUILD_ROOT}/usr" install
cd ../server
make "PREFIX=${RPM_BUILD_ROOT}/usr" install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
echo "sms		6701/tcp		# SMS Link Server" \
	> /etc/services

%files
%defattr(0644, root, root, 0755)
%attr(0755, root, root) /usr/sbin/sms2mailgw
%attr(0755, root, root) /usr/sbin/sms_serv
/usr/man/man1/sms2mailgw.1.gz
/usr/man/man1/sms_serv.1.gz
%doc CHANGELOG FAQ README
%doc server/BUGS server/GW-INSTALL server/INSTALL server/TODO

%files client
%defattr(0644, root, root, 0755)
%attr(0755, root, root) /usr/bin/sendsms
/usr/man/man1/sendsms.1.gz
%doc CHANGELOG FAQ README
%doc client/BUGS client/INSTALL client/TODO
